%global srcname rootplot

Name:           %{srcname}
Version:        2.2.2
Release:        5%{?dist}
Summary:        Plots ROOT data with matplotlib

Group:          Development/Languages
License:        MIT
URL:            http://packages.python.org/rootplot/
Source0:        https://bitbucket.org/klukas/rootplot/get/v%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# no root on all archs
#BuildArch:      noarch
%global debug_package %{nil}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-numpy
BuildRequires:  python2-root

# Lifted from root.spec file.
#		s390 is not supported by cling: "error: unknown target
#		triple 's390-ibm-linux', please use -triple or -arch"
ExcludeArch:	s390
#		s390x suffers from endian issues resulting in failing tests
#		and broken documentation generation
#		https://sft.its.cern.ch/jira/browse/ROOT-8703
ExcludeArch:	s390x
#		ppc/ppc64/ppc64le does not yet work
#		https://sft.its.cern.ch/jira/browse/ROOT-6434
#		https://sft.its.cern.ch/jira/browse/ROOT-7314
ExcludeArch:	ppc %{power64}


%description
ROOT is a powerful data analysis tool within the particle physics community,
and the primary lens through which we see our data. The framework includes
quite a bit of graphical capabilities, but producing high-quality graphics
output was not the first priority in designing its capabilities 
or its interface.

It becomes useful, then, to consider using an outside library 
focused on graphics for producing final plots. The pyROOT 
interface to ROOT makes it easy to have ROOT objects interact with 
other python modules. The goal of rootplot is to enable easy 
plotting of ROOT histograms using the full-featured and mature 
matplotlib library.

%package -n python2-%{srcname}
Summary: Plots ROOT data with matplotlib
Requires: python2-numpy
Requires: python2-matplotlib
Requires: python2-root
%{?python_provide:%python_provide python2-%{srcname}}
Obsoletes: rootplot < 2.2.1-16

%description -n python2-%{srcname}
ROOT is a powerful data analysis tool within the particle physics community,
and the primary lens through which we see our data. The framework includes
quite a bit of graphical capabilities, but producing high-quality graphics
output was not the first priority in designing its capabilities 
or its interface.

It becomes useful, then, to consider using an outside library 
focused on graphics for producing final plots. The pyROOT 
interface to ROOT makes it easy to have ROOT objects interact with 
other python modules. The goal of rootplot is to enable easy 
plotting of ROOT histograms using the full-featured and mature 
matplotlib library.

%prep
%setup -n klukas-rootplot-702df6291ca5

%build
%py2_build

%install
%py2_install
 
%check
%{__python2} setup.py test

%files -n python2-%{srcname}
%{python2_sitelib}/
%{_bindir}/rootplot
%{_bindir}/tree2hists
%{_bindir}/rootinfo
%{_bindir}/rootmath
%{_bindir}/rootplotmpl
%doc README.txt

%changelog
* Thu Nov 02 2017 Steve Traylen <steve.traylen@cern.ch> - 2.2.2-5
- Can not be not arch while excluding archs.

* Thu Nov 02 2017 Steve Traylen <steve.traylen@cern.ch> - 2.2.2-4
- Exclude archs s390, s390x and ppc for lack of root.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 24 2017 Steve Traylen <steve.traylen@cern.ch> - 2.2.2-1
- Rename as python2-rootplot
- New version 2.2.2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-14
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-9
- Exclude arm builds.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-3
- Bump release for first Fedora release.

* Fri Nov 19 2010 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-2
- Minor changes for Fedora review process.
- Include first.py as an example script.

* Fri Nov 19 2010 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-1
- New upstream 2.2.1
- Add two new commands, rootinfo and rootplotmpl.

* Sun Jun 6 2010 Steve Traylen <steve.traylen@cern.ch> - 1.1-1
- Initial build


